4Suite™ API Documentation

# ► Module Ft.Xml.Xslt._4xslt

4XSLT command-line application

Classes: XsltCommandLineApp |  |  |  | Functions: Register, ReportFatalException, Run, StySourceArgToInputSource |  |  |  | Globals: DefaultFactory, MAX_PYTHON_RECURSION_DEPTH, g_paramBindingPattern, g_prefixBindingPattern

## Classes

class XsltCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  __init__(self)
    Overrides: __init__ from class CommandLineApp
  validate_arguments(self, args)
    Overrides: validate_arguments from class CommandLineApp
  validate_options(self, options)
    Overrides: validate_options from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  global_options

## Functions

Register()
ReportFatalException(e, stacktrace_on_error=False)
  Formats various exceptions; raises SystemExit, never returns.
Run(options, args)
StySourceArgToInputSource(arg, factory, *v_args, **kw_args)
  A wrapper for SourceArgToInputSource().

      If an InputSource cannot be created from the source argument,
      then the argument is resolved against alternative stylesheet base
      URIs (if any) until an InputSource is successfully created or the
      list of URIs is exhausted.

## Globals

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>
MAX_PYTHON_RECURSION_DEPTH = 10000
g_paramBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects
g_prefixBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects